Contents

# Sin Function

Vraca sinus ugla. Ugao je izrazen u radijanima. Rezultat lezi u opsegu od -1 do +1.

Using the angle Alpha, the Sin function returns the ratio of the length of the opposite side of an angle to the length of the hypotenuse in a right-angled triangle.

Sin(Alpha) = side opposite the angle/hypotenuse

### Syntax:

    Sin (Number As Double) As Double

### Return value:

Double

### Parameters:

Number: Brojcani izraz koji definise ugao u radijanima za koji zelite da izracunate sinus.

To convert degrees to radians, multiply degrees by Pi/180, and to convert radians to degrees, multiply radians by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Invalid procedure call

### Example:

    REM U ovom primjeru, slijedeci unos je moguc za pravougli trougao:
    REM Strana suprotna uglu i ugao (u stepenima) za izracunavanje duzine hipotenuze:
    Sub ExampleSine
    REM Pi = 3.1415926... je predefinirana varijabla
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Unesite duzinu suprotne strane: ","Suprotna Strana")
        dAlpha = InputBox("Unesite ugao Alfa (u stepenima): ","Alfa")
        Ispis "Duzina hipotenuze je"; (d1 / sin (dAlpha * Pi / 180))
    End Sub

Related Topics

Atn Function

Cos Function

Tan Function